{"openapi":"3.0.0","info":{"title":"10x Card Manager - Issuing","description":"10x Card Manager - Issuing","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"4.1.0"},"servers":[{"url":"https://cardmanager-cards.svc.{env}.mylti3gh7p4x.net","variables":{"env":{"description":"The 10x platform environment name","default":"solution-testblue"}}}],"security":[{"BearerAuth":[]}],"tags":[{"name":"cards-controller-v-3","description":"Cards Controller"}],"paths":{"/v3/cards/{cardId}/numbers/view":{"post":{"tags":["cards-controller-v-3"],"summary":"Retrieve a customer card PAN and CSC numbers with provided encryption keys.","description":"Retrieve a customer card Primary Account Number (PAN) and Card Security Code (CSC) numbers with provided encryption keys.","operationId":"retrieveCardNumbersWithKeyById","parameters":[{"name":"cardId","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/ json":{"schema":{"$ref":"#/components/schemas/CardNumbersRequest"},"examples":{"Encrypted AES Key":{"value":{"viewSecurityCode":true,"encryptionKey":{"alg":"RSA-OAEP-256","kty":"oct","kid":"625911a8-ff83-44ad-b98b-11de6ff4bb4d","k":"11qYAYKxCrfVS_7TyWQHOg7hcvPapiMlrwIaaPcHURo"}}},"x25519 Public Key":{"value":{"viewSecurityCode":true,"encryptionKey":{"kty":"OKP","kid":"625911a8-ff83-44ad-b98b-11de6ff4bb4d","x":"11qYAYKxCrfVS_7TyWQHOg7hcvPapiMlrwIaaPcHURo","crv":"X25519"}}},"RSA Public Key":{"value":{"viewSecurityCode":true,"encryptionKey":{"kty":"RSA","kid":"625911a8-ff83-44ad-b98b-11de6ff4bb4d","n":"0vx7agoebGcQSuuPiLJXZptN9nndrQmbXEps2aiAFbWhM78LhWx4cbbfAAtVT86zwu1RK7aPFFxuhDR1L6tSoc_BJECPebWKRXjBZCiFV4n3oknjhMstn64tZ_2W-5JsGY4Hc5n9yBXArwl93lqt7_RN5w6Cf0h4QyQ5v-65YGjQR0_FDW2QvzqY368QQMicAtaSqzs8KJZgnYb9c7d0zgdAZHzu6qMQvRL5hajrn1n91CbOpbISD08qNLyrdkt-bFTWhAI4vMQFh6WeZu0fM4lFd2NcRwr3XPksINHaQ-G_xBniIqbw0Ls1jF44-csFCur-kEgU8awapJzKnqDKgw","e":"AQAB"}}}}}}},"responses":{"200":{"description":"Card numbers retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardNumbers"},"examples":{"Response to Customer View PAN Request":{"value":{"pan":{"encryptedValue":1234123412341234},"encryptionAlgorithm":"RSA_OAEP_SHA256_MGF1_SHA256"}},"Response to Colleague View PAN Request":{"value":{"pan":{"encryptedValue":1234123412341234},"encryptionAlgorithm":"RSA_OAEP_SHA256_MGF1_SHA256"}},"Response to Customer View CVC Request":{"value":{"numbersBundle":{"encryptedValue":321321321321321},"encryptionAlgorithm":"RSA_OAEP_SHA256_MGF1_SHA256"}}}}}},"400":{"description":"__Bad request. Request is malformed.__\n  \nPossible errors\n  \n| Code  | Message | Description |\n| ----  | ---- | ---- |\n| 400.001.003   | The content of the params in the path is malformed and contains errors. |cardId should be a UUID |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"3fa85f64-5717-4562-b3fc-2c963f66afa6","status":400,"code":"400.001.003","message":"The content of the params in the path is malformed and contains errors."}}}},"401":{"description":"Not Authorised.\n\nPossible errors\n\n| Code  | Message | Description |\n| ----  | ---- | ---- |\n| 401.001.001   | Authentication is required to access this resource. | Malformed TenX Token validation failure via OPA i.e. the REGO rules |\n| 401.001.001   | Authentication is required to access this resource. |TenX Token missing from the request from APIGEE |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"3fa85f64-5717-4562-b3fc-2c963f66afa6","status":401,"code":"401.001.001","message":"Authentication is required to access this resource."}}}},"403":{"description":"__Forbidden.__\n\nPossible errors\n\n| Code | Message | Description |\n| ----  | ---- | ---- |\n| 403.001.001   | Access to this resource is denied. | Mismatched TenX Token (party key in Ten X Token is not associated to the card-id in the request)|\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"3fa85f64-5717-4562-b3fc-2c963f66afa6","status":403,"code":"403.001.001","message":"Access to this resource is denied."}}}},"404":{"description":"__Card not found.__\n\nPossible errors\n\n| Code | Message | Description |\n| ---| --- | --- |\n| 404.001.001 | Resource card with identifier 787c7146-c28e-4751-bc64-21c8f2b4c2b7 was not found | cardId provided in request does not exist in DCM |\n| 404.001.002 | Request url is malformed. | cardId not provided in the request url |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"1dd50088-5c86-4b00-8c3a-3d217097769b","status":404,"code":"404.001.002","message":"Request url is malformed."}}}},"422":{"description":"__Unprocessable entity. The request was well-formed but was unable to be followed due to semantic errors.__\n  \n  Possible errors\n\n| Code  | Message | Description |\n| ----  | ---- | ---- |\n| 422.003.005   | The card state is incorrect.   | The card must be in a state of 'ACTIVE' or 'PROVISIONED' in order to freeze a card.|\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"7eeda331-b77c-4cb9-bc2d-cd3f1dad63f2","status":422,"code":"422.003.005","message":"The card state is incorrect."}}}},"500":{"description":"__Internal server error.__\n\nPossible errors\n\n| Code  | Message | Description |\n| ----  | ---- | ---- |\n| 500.001.001   | Something went wrong while processing your request. Please try again later. | Technical error in DCM |\n| 500.001.001   | Something went wrong while processing your request. Please try again later. | DB Operation Failure during Card Status Update |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceError"},"example":{"ref":"3fa85f64-5717-4562-b3fc-2c963f66afa6","status":500,"code":"500.001.001","message":"Something went wrong while processing your request. Please try again later."}}}}}}}},"components":{"schemas":{"CardRequest":{"required":["subscriptionKey"],"type":"object","properties":{"subscriptionKey":{"type":"string","format":"uuid","example":"9cffbedd-5434-4df6-abfe-6b2394b124bf"},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}},"CardList":{"type":"object","properties":{"cards":{"type":"array","items":{"$ref":"#/components/schemas/Card"}}}},"CardId":{"required":["cardId"],"type":"object","properties":{"cardId":{"type":"string","description":"The Unique ID associated with a card","example":"78fe7537-079d-4904-b424-1c70a76fa41c"}}},"Card":{"required":["brand","cardId","cardProductId","createdAt","partyKey","productKey","productVersion","status","subscriptionKey","type","updatedAt"],"type":"object","properties":{"cardId":{"type":"string","description":"The Unique ID associated with a card","example":"78fe7537-079d-4904-b424-1c70a76fa41c"},"status":{"type":"string","description":"Status of the card","example":"ACTIVE","enum":["NEW","PROVISIONING","PROVISIONING_FAILED","PROVISIONED","ACTIVE","FROZEN","CANCELED"]},"type":{"type":"string","description":"The type of the payment card. Types are expected to be added in the future within the same API","example":"PHYSICAL","enum":["PHYSICAL","VIRTUAL"]},"funding":{"type":"string","description":"The funding of the payment card. Types are expected to be added in the future within the same API","example":"DEBIT","enum":["DEBIT"]},"brand":{"type":"string","description":"Brand of the payment card. Brands are expected to be added in the future within the same API","example":"MASTERCARD","enum":["MASTERCARD"]},"pan":{"$ref":"#/components/schemas/CardPan"},"sequenceNumber":{"type":"string","description":"The card sequence to the same account","example":"00"},"country":{"type":"string","description":"Card country code","example":"AUS"},"currency":{"type":"string","description":"Card currency code","example":"AUD"},"cardholderName":{"type":"string","description":"Name of the card holder","example":"Anderson Smith"},"expiresAt":{"type":"string","description":"Card expiry date","example":"2022-07-31T00:00:00.000Z"},"effectiveFrom":{"type":"string","description":"The date from which the card is valid","example":"2020-03-24T00:00:00.000Z"},"activatedAt":{"type":"string","description":"The timestamp of card being active","example":"2020-03-24T16:12:58.000Z"},"orderedAt":{"type":"string","description":"The date which the card is order on","example":"2020-03-24T16:12:58.000Z"},"canceledAt":{"type":"string","description":"The timestamp for when the card was canceled","example":"2020-03-24T16:12:58.000Z"},"cancelationReason":{"type":"string","description":"The cancelation reason for the card once canceled","example":"STOLEN","enum":["LOST","STOLEN","DAMAGED"]},"createdAt":{"type":"string","description":"The technical timestamp of when the record was created","example":"2020-03-24T16:12:58.000Z"},"updatedAt":{"type":"string","description":"The technical timestamp of when the record was last updated","example":"2020-03-24T16:12:58.000Z"},"replacementReason":{"type":"string","description":"The replacement reason for the card when it replaced the original card","example":"DAMAGED","enum":["LOST","STOLEN","DAMAGED","EXPIRED"]},"replacementFor":{"$ref":"#/components/schemas/CardId"},"replacedBy":{"$ref":"#/components/schemas/CardId"},"timezone":{"type":"string","description":"The timezone in which the card is issued and any dates apply in","example":"Australia/Sydney"},"subscriptionKey":{"type":"string","format":"uuid"},"partyKey":{"type":"string","format":"uuid","example":"dd671835-e968-4410-8d33-e269fb3a6ce8"},"productKey":{"type":"string","format":"uuid","example":"1ba225f7-1b43-4db2-8179-65f49c9ac13b"},"productVersion":{"type":"string","example":"1"},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}},"CardFreeze":{"required":["brand","cardId","cardProductId","createdAt","partyKey","productKey","productVersion","status","subscriptionKey","type","updatedAt"],"type":"object","properties":{"cardId":{"type":"string","description":"The Unique ID associated with a card","example":"78fe7537-079d-4904-b424-1c70a76fa41c"},"status":{"type":"string","description":"Status of the card","example":"FROZEN","enum":["FROZEN"]},"type":{"type":"string","description":"The type of the payment card. Types are expected to be added in the future within the same API","example":"PHYSICAL","enum":["PHYSICAL","VIRTUAL"]},"funding":{"type":"string","description":"The funding of the payment card. Types are expected to be added in the future within the same API","example":"DEBIT","enum":["DEBIT"]},"brand":{"type":"string","description":"Brand of the payment card. Brands are expected to be added in the future within the same API","example":"MASTERCARD","enum":["MASTERCARD"]},"pan":{"$ref":"#/components/schemas/CardPan"},"sequenceNumber":{"type":"string","description":"The card sequence to the same account","example":"00"},"country":{"type":"string","description":"Card country code","example":"AUS"},"currency":{"type":"string","description":"Card currency code","example":"AUD"},"cardholderName":{"type":"string","description":"Name of the card holder","example":"Anderson Smith"},"expiresAt":{"type":"string","description":"Card expiry date","example":"2022-07-31T00:00:00.000Z"},"effectiveFrom":{"type":"string","description":"The date from which the card is valid","example":"2020-03-24T00:00:00.000Z"},"activatedAt":{"type":"string","description":"The timestamp of card being active","example":"2020-03-24T16:12:58.000Z"},"orderedAt":{"type":"string","description":"The date which the card is order on","example":"2020-03-24T16:12:58.000Z"},"canceledAt":{"type":"string","description":"The timestamp for when the card was canceled","example":"2020-03-24T16:12:58.000Z"},"cancelationReason":{"type":"string","description":"The cancelation reason for the card once canceled","example":"STOLEN","enum":["LOST","STOLEN","DAMAGED"]},"createdAt":{"type":"string","description":"The technical timestamp of when the record was created","example":"2020-03-24T16:12:58.000Z"},"updatedAt":{"type":"string","description":"The technical timestamp of when the record was last updated","example":"2020-03-24T16:12:58.000Z"},"replacementReason":{"type":"string","description":"The replacement reason for the card when it replaced the original card","example":"DAMAGED","enum":["LOST","STOLEN","DAMAGED","EXPIRED"]},"replacementFor":{"$ref":"#/components/schemas/CardId"},"replacedBy":{"$ref":"#/components/schemas/CardId"},"timezone":{"type":"string","description":"The timezone in which the card is issued and any dates apply in","example":"Australia/Sydney"},"subscriptionKey":{"type":"string","format":"uuid"},"partyKey":{"type":"string","format":"uuid","example":"dd671835-e968-4410-8d33-e269fb3a6ce8"},"productKey":{"type":"string","format":"uuid","example":"1ba225f7-1b43-4db2-8179-65f49c9ac13b"},"productVersion":{"type":"string","example":"1"},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}},"CardUnfreeze":{"required":["brand","cardId","cardProductId","createdAt","partyKey","productKey","productVersion","status","subscriptionKey","type","updatedAt"],"type":"object","properties":{"cardId":{"type":"string","description":"The Unique ID associated with a card","example":"78fe7537-079d-4904-b424-1c70a76fa41c"},"status":{"type":"string","description":"Status of the card","example":"ACTIVE","enum":["ACTIVE"]},"type":{"type":"string","description":"The type of the payment card. Types are expected to be added in the future within the same API","example":"PHYSICAL","enum":["PHYSICAL","VIRTUAL"]},"funding":{"type":"string","description":"The funding of the payment card. Types are expected to be added in the future within the same API","example":"DEBIT","enum":["DEBIT"]},"brand":{"type":"string","description":"Brand of the payment card. Brands are expected to be added in the future within the same API","example":"MASTERCARD","enum":["MASTERCARD"]},"pan":{"$ref":"#/components/schemas/CardPan"},"sequenceNumber":{"type":"string","description":"The card sequence to the same account","example":"00"},"country":{"type":"string","description":"Card country code","example":"AUS"},"currency":{"type":"string","description":"Card currency code","example":"AUD"},"cardholderName":{"type":"string","description":"Name of the card holder","example":"Anderson Smith"},"expiresAt":{"type":"string","description":"Card expiry date","example":"2022-07-31T00:00:00.000Z"},"effectiveFrom":{"type":"string","description":"The date from which the card is valid","example":"2020-03-24T00:00:00.000Z"},"activatedAt":{"type":"string","description":"The timestamp of card being active","example":"2020-03-24T16:12:58.000Z"},"orderedAt":{"type":"string","description":"The date which the card is order on","example":"2020-03-24T16:12:58.000Z"},"canceledAt":{"type":"string","description":"The timestamp for when the card was canceled","example":"2020-03-24T16:12:58.000Z"},"cancelationReason":{"type":"string","description":"The cancelation reason for the card once canceled","example":"STOLEN","enum":["LOST","STOLEN","DAMAGED"]},"createdAt":{"type":"string","description":"The technical timestamp of when the record was created","example":"2020-03-24T16:12:58.000Z"},"updatedAt":{"type":"string","description":"The technical timestamp of when the record was last updated","example":"2020-03-24T16:12:58.000Z"},"replacementReason":{"type":"string","description":"The replacement reason for the card when it replaced the original card","example":"DAMAGED","enum":["LOST","STOLEN","DAMAGED","EXPIRED"]},"replacementFor":{"$ref":"#/components/schemas/CardId"},"replacedBy":{"$ref":"#/components/schemas/CardId"},"timezone":{"type":"string","description":"The timezone in which the card is issued and any dates apply in","example":"Australia/Sydney"},"subscriptionKey":{"type":"string","format":"uuid"},"partyKey":{"type":"string","format":"uuid","example":"dd671835-e968-4410-8d33-e269fb3a6ce8"},"productKey":{"type":"string","format":"uuid","example":"1ba225f7-1b43-4db2-8179-65f49c9ac13b"},"productVersion":{"type":"string","example":"1"},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}},"CardPan":{"required":["last4"],"type":"object","properties":{"last4":{"type":"string","description":"Last 4 digits of the real Primary Account Number (PAN)","example":"1234"}}},"FullCard":{"allOf":[{"$ref":"#/components/schemas/Card"},{"type":"object","properties":{"pan":{"$ref":"#/components/schemas/FullCardPan"},"processorCustomerId":{"type":"string","example":"5283794"},"processorCardId":{"type":"string","example":"86796109826"}}}]},"FullCardPan":{"allOf":[{"$ref":"#/components/schemas/CardPan"},{"type":"object","properties":{"token":{"type":"string","description":"The cards PAN token used for processing transactions","example":"5500000000004321"}}}]},"EncryptionKey":{"type":"object","properties":{"kty":{"type":"string","description":"The \"kty\" (key type) parameter identifies the cryptographic algorithm family used with the key."},"crv":{"type":"string","description":"The \"crv\" (curve) parameter identifies the cryptographic curve used with the key."},"alg":{"type":"string","description":"The \"alg\" (algorithm) parameter identifies the algorithm intended for use with the key."},"x":{"type":"string","description":"The \"x\" (x coordinate) parameter contains the x coordinate for the Elliptic Curve point."},"y":{"type":"string","description":"The \"y\" (y coordinate) parameter contains the y coordinate for the Elliptic Curve point."},"use":{"type":"string","description":"The \"use\" (public key use) parameter identifies the intended use of the public key."},"kid":{"type":"string","description":"The \"kid\" (key ID) parameter is used to match a specific key"},"n":{"type":"string","description":"The \"n\" (modulus) parameter contains the modulus value for the RSA public key. It is represented as a Base64urlUInt-encoded value."},"e":{"type":"string","description":"The \"e\" (exponent) parameter contains the exponent value for the RSA public key. It is represented as a Base64urlUInt-encoded value."}}},"EncryptionAlgorithm":{"type":"string","description":"Encryption algorithm used for the encrypted pan value. Value is dependant on the card processor configuration or capability.","example":"RSA_OAEP_SHA256_MGF1_SHA256","enum":["AES_256_CBC_PKCS5","RSA_OAEP_SHA256_MGF1_SHA256","SB_X25519_XSALSA20_POLY1305"]},"CardNumbersRequest":{"type":"object","properties":{"viewSecurityCode":{"type":"boolean","description":"Indicates whether or not the encrypted dynamic security code is returned with the PAN.","example":true},"encryptionkey":{"$ref":"#/components/schemas/EncryptionKey"}}},"CardNumbers":{"type":"object","properties":{"pan":{"$ref":"#/components/schemas/CardNumbersPan"},"securityCode":{"$ref":"#/components/schemas/CardNumbersCsc"},"numbersBundle":{"$ref":"#/components/schemas/CardNumbersBundle"},"encryptionAlgorithm":{"$ref":"#/components/schemas/EncryptionAlgorithm"}}},"CardNumbersPan":{"type":"object","properties":{"encryptedValue":{"type":"string","description":"The cards PAN encrypted by the requested key","example":"1234123412341234"}}},"CardNumbersCsc":{"type":"object","properties":{"encryptedValue":{"type":"string","description":"The cards CSC number encrypted by the requested key","example":"321321321321321"}}},"CardNumbersBundle":{"type":"object","properties":{"encryptedValue":{"type":"string","description":"The cards numbers bundle encrypted by the requested key","example":"321321321321321"}}},"CardTokenList":{"type":"object","properties":{"cardTokens":{"type":"array","items":{"$ref":"#/components/schemas/CardToken"}}}},"CardToken":{"required":["card","cardTokenId","createdAt","provider","requestor","status","updatedAt"],"type":"object","properties":{"cardTokenId":{"type":"string","description":"The Unique ID associated with a card token","example":"daa23f28-30fa-421b-9f90-78388b2d5b5e"},"status":{"$ref":"#/components/schemas/CardTokenStatus"},"type":{"$ref":"#/components/schemas/CardTokenType"},"source":{"$ref":"#/components/schemas/CardTokenSource"},"provider":{"$ref":"#/components/schemas/CardTokenProvider"},"pan":{"$ref":"#/components/schemas/CardTokenPan"},"token":{"$ref":"#/components/schemas/CardTokenToken"},"requestor":{"$ref":"#/components/schemas/CardTokenRequestor"},"wallet":{"$ref":"#/components/schemas/CardTokenWallet"},"device":{"$ref":"#/components/schemas/CardTokenDevice"},"sequenceNumber":{"type":"string","description":"The card sequence to the same account","example":"00"},"expiresAt":{"type":"string","description":"Card expiry date","example":"2022-07-31"},"activatedAt":{"type":"string","description":"The timestamp of card being active","example":"2020-03-24T16:12:58Z"},"canceledAt":{"type":"string","description":"The timestamp for when the card was canceled","example":"2020-03-24T16:12:58Z"},"card":{"$ref":"#/components/schemas/CardId"},"createdAt":{"type":"string","description":"The technical timestamp of when the record was created","example":"2020-03-24T16:12:58Z"},"updatedAt":{"type":"string","description":"The technical timestamp of when the record was last updated","example":"2020-03-24T16:12:58Z"}}},"CardTokenStatus":{"type":"string","description":"Status of the card token","example":"ACTIVE","enum":["NEW","REJECTED","ACTIVE","SUSPENDED","CANCELED"]},"CardTokenType":{"type":"string","description":"The type of the cards token. Types are expected to be added in the future within the same API","example":"EMBEDDED_SECURE_ELEMENT","enum":["EMBEDDED_SECURE_ELEMENT","CARD_ON_FILE","ECOMMERCE"]},"CardTokenSource":{"type":"string","description":"The source of the card token information. Types are expected to be added in the future within the same API","example":"CARD_ON_FILE","enum":["CARD_ON_FILE","MANUAL_ENTRY","IN_APP","OCR","UNKNOWN"]},"CardTokenProvider":{"type":"string","description":"The card token provider. Types are expected to be added in the future within the same API","example":"MDES","enum":["MDES","ETSP"]},"CardTokenPan":{"required":["referenceId"],"type":"object","properties":{"referenceId":{"type":"string","description":"Reference to the PAN that is unique per token requestor/wallet provider.","example":"FWSPMC000000000159f71f703d2141efaf04dd26803f922b"}}},"CardTokenToken":{"required":["last4"],"type":"object","properties":{"last4":{"type":"string","description":"Last 4 digits of the token number","example":"1234"}}},"CardTokenRequestor":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"The party that requested the digitization.","example":"12345678901"}}},"CardTokenWallet":{"required":["id","type"],"type":"object","properties":{"id":{"type":"string","description":"The identifier of the Wallet Provider who requested the digitization.","example":"123"},"type":{"type":"string","description":"The type of the Wallet Provider who requested the digitization.","example":"APPLE_PAY","enum":["APPLE_PAY","GOOGLE_PAY","SAMSUNG_PAY","OTHER"]},"paymentAppInstanceId":{"type":"string","description":"The identifier of the Payment App instance within a device that will be provisioned with a token.","example":"121b24f24a24ba98e27d43e345b532a245e4723d7a9c4f624e93452c3"},"accountIdHash":{"type":"string","description":"SHA-256 hash of the Account holder's account ID with the Payment App Provider. Typically expected to be an email address.","example":"5ae9c9890b326bd23bfa9db9672298ae3b10a9388e56ec17a001e191f24572aa"}}},"CardTokenDevice":{"required":["name","type"],"type":"object","properties":{"referenceId":{"maxLength":128,"type":"string","description":"For Secure Element (SE) wallet providers, this value will be the SE ID in hex binary characters transformed to a 48-character string. For Host Card Emulation (HCE) wallet providers, this field will be the Device ID as determined by the digital wallet provider (DWP). All alphanumeric and special characters are allowed for HCE DWPs.","example":"1b24f24a24ba98e27d43e345b532a245e4723d7a9c4f624e93452c"},"name":{"type":"string","description":"The name that the Account holder has associated to the device with the Payment App Provider.","example":"My Phone"},"type":{"type":"string","description":"The type of the device to be provisioned.","example":"MOBILE","enum":["MOBILE","TABLET","WATCH","EREADER","WRISTBAND","CARD","STICKER","PC","DEVICE_PERIPHERAL","TAG","JEWELRY","FASHION_ACCESSORY","GARMENT","APPLIANCE","VEHICLE","MEDIA_DEVICE","UNDEFINED"]},"brand":{"maxLength":32,"type":"string","description":"Brand name of the device.","example":"Galaxy"},"manufacturer":{"maxLength":32,"type":"string","description":"Manufacturer of the device.","example":"Samsung"},"model":{"maxLength":32,"type":"string","description":"Manufacturer of the device.","example":"SGH-T999"},"paymentTypes":{"type":"array","description":"Different types of Payments supported for the token.","items":{"type":"string","enum":["NFC","DSRP","ECOMMERCE"]}}}},"SetCardPinRequest":{"type":"object","properties":{"pin":{"$ref":"#/components/schemas/SetCardPin"}}},"SetCardPin":{"type":"object","properties":{"encryptedValue":{"type":"string","example":"1231ACBA2BADDEA1232A"},"encryptionAlgorithm":{"type":"string","description":"Encryption algorithm used for the encrypted pin value. Value is dependant on the card processor configuration or capability.","example":"RSA_OAEP_SHA256_MGF1_SHA256"}}},"CardWalletApplePayRequest":{"required":["certificateChain","nonce","nonceSignature"],"type":"object","properties":{"certificateChain":{"maxItems":10,"minItems":1,"type":"array","description":"Base 64 encoded Public Certificate from Apple. Array of Base64 encoded certificates from Apple. The first element of the array should be the leaf certificate followed by the sub-CA certificate.","example":["MIIEPDCCA","MIIDZjCCA"],"items":{"maxLength":102400,"type":"string"}},"nonce":{"maxLength":128,"type":"string","description":"One-time-use nonce provided by Apple for security purposes. Binary value provided must be encoded in Base64.","example":"vXWJaBidcTLaJJCF"},"nonceSignature":{"maxLength":128,"type":"string","description":"Apple-provided signature to the nonce. Binary value provided must be encoded in Base64.","example":"jD4Aphu+93N2wbBn"}}},"CardWalletApplePayResponse":{"required":["activationData","encryptedData","ephemeralPublicKey"],"type":"object","properties":{"activationData":{"type":"string","description":"Cryptographic authcode used for activation","example":"TUJQQUMtMS1GSy03NDgwNTIuMS0tVERFQS00RjU4OTZ"},"ephemeralPublicKey":{"type":"string","description":"Public key of the ephemeral key pair","example":"BMop3NufgKwy/r0GX1muvomvwFfKAYMYY74bvq3TyktjrZ/+"},"encryptedData":{"type":"string","description":"Card data encrypted using shared key","example":"w9NGKYa3OkPGeQ+FmAKGgaVDbmV/UE7jdgBcE1RpbUc4pw+V4bDnSzNq1ndvSjHuTTa2xl2HIACb2W0uNN+759TLnusGc9FeL"}}},"CardWalletGooglePayRequest":{"required":["deviceId","walletAccountId"],"type":"object","properties":{"deviceId":{"maxLength":128,"type":"string","description":"The user’s Android device ID; the device’s unique identifier.","example":"W85OGhjZTk2dsr452dgsr51j"},"walletAccountId":{"maxLength":128,"type":"string","description":"The user’s Google wallet account ID.","example":"ae25OGhjZTk2dsr452dgsr51"}}},"CardWalletGooglePayResponse":{"required":["encryptedData"],"type":"object","properties":{"encryptedData":{"type":"string","description":"Card data encrypted using shared key","example":"w9NGKYa3OkPGeQ+FmAKGgaVDbmV/UE7jdgBcE1RpbUc4pw+V4bDnSzNq1ndvSjHuTTa2xl2HIACb2W0uNN+759TLnusGc9FeL"}}},"ExternalCardTokenRequest":{"required":["card","externalReferenceId","provider","requestor"],"type":"object","properties":{"type":{"$ref":"#/components/schemas/CardTokenType"},"source":{"$ref":"#/components/schemas/CardTokenSource"},"provider":{"$ref":"#/components/schemas/CardTokenProvider"},"pan":{"$ref":"#/components/schemas/ExternalCardTokenRequestPan"},"token":{"$ref":"#/components/schemas/ExternalCardTokenRequestToken"},"requestor":{"$ref":"#/components/schemas/ExternalCardTokenRequestRequestor"},"wallet":{"$ref":"#/components/schemas/ExternalCardTokenRequestWallet"},"device":{"$ref":"#/components/schemas/ExternalCardTokenRequestDevice"},"card":{"$ref":"#/components/schemas/ExternalCardTokenRequestCard"},"paymentAccountReference":{"$ref":"#/components/schemas/ExternalCardTokenRequestPaymentAccountReference"},"externalReferenceId":{"maxLength":36,"type":"string","description":"Unique value linking requests generated during provisioning.","example":"4049bcd4-3ab8-43ce-a2a9-4c1d9eea91ee"}}},"ExternalCardTokenProvisionRequest":{"required":["card","externalReferenceId","provider","requestor","type"],"type":"object","properties":{"type":{"$ref":"#/components/schemas/CardTokenType"},"source":{"$ref":"#/components/schemas/CardTokenSource"},"provider":{"$ref":"#/components/schemas/CardTokenProvider"},"pan":{"$ref":"#/components/schemas/ExternalCardTokenRequestPan"},"token":{"$ref":"#/components/schemas/ExternalCardTokenRequestToken"},"requestor":{"$ref":"#/components/schemas/ExternalCardTokenRequestRequestor"},"wallet":{"$ref":"#/components/schemas/ExternalCardTokenProvisionRequestWallet"},"device":{"$ref":"#/components/schemas/ExternalCardTokenRequestDevice"},"card":{"$ref":"#/components/schemas/ExternalCardTokenRequestCard"},"paymentAccountReference":{"$ref":"#/components/schemas/ExternalCardTokenRequestPaymentAccountReference"},"sequenceNumber":{"maxLength":2,"type":"string","description":"The card sequence to the same account.","example":"00"},"expiresAt":{"type":"string","description":"Card expiry date","format":"date","example":"2022-07-31"},"externalReferenceId":{"maxLength":36,"type":"string","description":"Unique value linking requests generated during provisioning.","example":"4049bcd4-3ab8-43ce-a2a9-4c1d9eea91ee"}}},"ExternalCardTokenRequestPaymentAccountReference":{"maxLength":35,"type":"string","description":"The unique account reference assigned to the PAN by the PAR controller.","example":"512381d9f8e0629211e3949a08002"},"ExternalCardTokenRequestPan":{"required":["referenceId"],"type":"object","properties":{"referenceId":{"maxLength":64,"type":"string","description":"Reference to the PAN that is unique per token requestor/wallet provider. Corresponds to the `panUniqueReference` field within MDES.","example":"FWSPMC000000000159f71f703d2141efaf04dd26803f922b"}}},"ExternalCardTokenRequestToken":{"required":["referenceId"],"type":"object","properties":{"referenceId":{"maxLength":64,"type":"string","description":"A unique reference assigned following the allocation of a token used to identify the token for the duration of its lifetime. Corresponds with the `tokenUniqueReference` field within MDES.","example":"FWSPMC000000000159f71f703d2141efaf04dd26803f922b"},"value":{"maxLength":19,"type":"string","description":"The token issued for this token request. Corresponds with the `dPAN` field from Venus.","example":"5345678901234521"}}},"ExternalCardTokenRequestRequestor":{"required":["id"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"The party that requested the digitization.","example":"12345678901"}}},"ExternalCardTokenRequestWallet":{"required":["type"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"The identifier of the Wallet Provider who requested the digitization.","example":"123"},"type":{"type":"string","description":"The type of the Wallet Provider who requested the digitization.","example":"APPLE_PAY","enum":["APPLE_PAY","GOOGLE_PAY","SAMSUNG_PAY","OTHER"]},"paymentAppInstanceId":{"maxLength":64,"type":"string","description":"The identifier of the Payment App instance within a device that will be provisioned with a token.","example":"121b24f24a24ba98e27d43e345b532a245e4723d7a9c4f624e93452c3"},"accountIdHash":{"maxLength":64,"type":"string","description":"SHA-256 hash of the Account holder's account ID with the Payment App Provider. Typically expected to be an email address.","example":"5ae9c9890b326bd23bfa9db9672298ae3b10a9388e56ec17a001e191f24572aa"}}},"ExternalCardTokenProvisionRequestWallet":{"required":["type"],"type":"object","properties":{"id":{"maxLength":36,"type":"string","description":"The identifier of the Wallet Provider who requested the digitization.","example":"123"},"type":{"type":"string","description":"The type of the Wallet Provider who requested the digitization.","example":"APPLE_PAY","enum":["APPLE_PAY","GOOGLE_PAY","SAMSUNG_PAY","OTHER"]},"paymentAppInstanceId":{"maxLength":64,"type":"string","description":"The identifier of the Payment App instance within a device that will be provisioned with a token.","example":"121b24f24a24ba98e27d43e345b532a245e4723d7a9c4f624e93452c3"},"accountIdHash":{"maxLength":64,"type":"string","description":"SHA-256 hash of the Account holder's account ID with the Payment App Provider. Typically expected to be an email address.","example":"5ae9c9890b326bd23bfa9db9672298ae3b10a9388e56ec17a001e191f24572aa"},"decisioningInfo":{"$ref":"#/components/schemas/ExternalCardTokenRequestWalletDecisioningInfo"}}},"ExternalCardTokenRequestWalletDecisioningInfo":{"required":["recommendationStandardVersion","recommendedDecision"],"type":"object","properties":{"recommendedDecision":{"type":"string","description":"The decision recommended by the Wallet Provider.","example":"APPROVED","enum":["APPROVED","DECLINED","AUTHENTICATION_REQUIRED"]},"recommendationStandardVersion":{"maxLength":64,"type":"string","description":"The standards version used by the Wallet Provider to determine the recommended decision.","example":"1.0.0"},"deviceScore":{"maxLength":64,"type":"string","description":"Score given to the device by the Wallet Provider.","example":"3"},"accountScore":{"maxLength":64,"type":"string","description":"Score given to the account by the Wallet Provider.","example":"4"},"mobileNumberScore":{"maxLength":64,"type":"string","description":"Score given to the phone number by the Wallet Provider.","example":"4"},"accountLifeTime":{"maxLength":64,"type":"string","description":"The lifetime of the account with the Token Requestor.","example":"4"},"recommendationReasons":{"type":"array","description":"Reasons provided to the Wallet Provider on how the recommended decision was reached.","items":{"type":"string","enum":["LONG_ACCOUNT_TENURE","GOOD_ACTIVITY_HISTORY","ADDITIONAL_DEVICE","SOFTWARE_UPDATE","ACCOUNT_TOO_NEW_SINCE_LAUNCH","ACCOUNT_TOO_NEW","ACCOUNT_CARD_TOO_NEW","ACCOUNT_RECENTLY_CHANGED","SUSPICIOUS_ACTIVITY","INACTIVE_ACCOUNT","HAS_SUSPENDED_TOKENS","DEVICE_RECENTLY_LOST","TOO_MANY_RECENT_ATTEMPTS","TOO_MANY_RECENT_TOKENS","TOO_MANY_DIFFERENT_CARDHOLDERS","LOW_DEVICE_SCORE","LOW_ACCOUNT_SCORE","LOW_PHONE_NUMBER_SCORE","OUTSIDE_HOME_TERRITORY","HIGH_RISK","UNABLE_TO_ASSESS"]}}}},"ExternalCardTokenRequestDevice":{"type":"object","properties":{"referenceId":{"maxLength":128,"type":"string","description":"For Secure Element (SE) wallet providers, this value will be the SE ID in hex binary characters transformed to a 48-character string. For Host Card Emulation (HCE) wallet providers, this field will be the Device ID as determined by the digital wallet provider (DWP). All alphanumeric and special characters are allowed for HCE DWPs.","example":"1b24f24a24ba98e27d43e345b532a245e4723d7a9c4f624e93452c"},"name":{"maxLength":64,"type":"string","description":"The name that the Account holder has associated to the device with the Payment App Provider.","example":"My Phone"},"type":{"type":"string","description":"The form factor of the device to be provisioned.","example":"MOBILE","enum":["MOBILE","TABLET","WATCH","EREADER","WRISTBAND","CARD","STICKER","PC","DEVICE_PERIPHERAL","TAG","JEWELRY","FASHION_ACCESSORY","GARMENT","APPLIANCE","VEHICLE","MEDIA_DEVICE","UNDEFINED"]},"serialNumber":{"maxLength":64,"type":"string","description":"The serial number of the device. May be masked.","example":"2F6D63"},"mobileNumberSuffix":{"maxLength":64,"type":"string","description":"The last few digits (typically four) of the device's mobile phone number. May be masked.","example":"1234"},"brand":{"maxLength":32,"type":"string","description":"Brand name of the device.","example":"Galaxy"},"manufacturer":{"maxLength":32,"type":"string","description":"Manufacturer of the device.","example":"Samsung"},"model":{"maxLength":32,"type":"string","description":"Manufacturer of the device.","example":"SGH-T999"},"osName":{"type":"string","description":"The name of the device operating system.","example":"IOS","enum":["IOS","ANDROID","TIZEN","WINDOWS","MACOS","PAGARE","ANDROID_WEAR","EMBEDDED"]},"osVersion":{"maxLength":64,"type":"string","description":"The version of the device operating system at the time of provisioning.","example":"13"},"imei":{"maxLength":15,"type":"string","description":"The IMEI number of the device being provisioned. May be masked","example":"352099001761481"},"msisdn":{"maxLength":15,"type":"string","description":"The MSISDN of the device being provisioned. May be masked","example":"7307406945"},"ipAddress":{"maxLength":64,"type":"string","description":"The IP of the device initiating the request.","example":"127.0.0.1"},"locale":{"maxLength":5,"type":"string","description":"Language in which the app communicates with the customer. The language and country should be separated using a `_`. Formatted in BCP 47. ISO format for language (ISO 639-1) and alpha-2 country code (ISO 3166-1 alpha-2);","example":"en_AU"},"language":{"maxLength":3,"type":"string","description":"Device language as defined by ISO 639-3","example":"eng"},"location":{"$ref":"#/components/schemas/Location"},"paymentTypes":{"type":"array","description":"Different types of Payments supported for the token.","items":{"type":"string","enum":["NFC","DSRP","ECOMMERCE"]}},"storageTechnology":{"type":"string","description":"The architecture or technology used for token storage.","example":"SECURE_ELEMENT","enum":["DEVICE_MEMORY","DEVICE_MEMORY_PROTECTED_TPM","SECURE_ELEMENT","SERVER","VIRTUAL_EXECUTION_ENVIRONMENT","TRUSTED_EXECUTION_ENVIRONMENT"]},"cardCaptureTechnology":{"type":"string","description":"The technology used to capture the card details","example":"CAMERA","enum":["CAMERA","MANUAL","READER","UNKNOWN"]}}},"ExternalCardTokenRequestCard":{"required":["expiresAt","pan"],"type":"object","properties":{"pan":{"$ref":"#/components/schemas/ExternalCardTokenRequestCardPan"},"expiresAt":{"type":"string","description":"Card expiry date","example":"2022-07-31"}}},"ExternalCardTokenRequestCardPan":{"required":["token"],"type":"object","properties":{"token":{"maxLength":19,"type":"string","description":"The cards PAN token used for processing transactions. Corresponds with the `cardReferenceId` field from Venus.","example":"5500000000004321"}}},"ExternalCardTokenActivationMethods":{"required":["id","type","value"],"type":"object","properties":{"id":{"$ref":"#/components/schemas/ExternalCardTokenActivationMethodId"},"type":{"$ref":"#/components/schemas/ExternalCardTokenActivationMethodType"},"value":{"$ref":"#/components/schemas/ExternalCardTokenActivationMethodValue"}}},"ExternalCardTokenActivationMethodId":{"maxLength":36,"type":"string","description":"Unique and opaque identifier for this method.","format":"uuid","example":"d14e5970-5bdb-4336-ae76-a5ce2dbb8f3d"},"ExternalCardTokenActivationMethodType":{"type":"string","description":"The activation methods to be used for this digitization. For Venus only `TEXT` will be initially supported.","enum":["TEXT","EMAIL","AUTOMATED_NUMBER","MANNED_NUMBER","WEBSITE","MOBILE_APP","CARDHOLDER_NUMBER"]},"ExternalCardTokenActivationMethodValue":{"maxLength":64,"type":"string","description":"Specifies the activation method value (meaning varies depending on the activation method type).","example":447654123455},"ExternalCardTokenResponse":{"required":["card","cardTokenId","externalReferenceId","fundingAccountTypes"],"type":"object","properties":{"cardTokenId":{"type":"string","description":"The Unique ID associated with a card token","format":"uuid","example":"daa23f28-30fa-421b-9f90-78388b2d5b5e"},"externalReferenceId":{"maxLength":36,"type":"string","description":"Unique value linking requests generated during provisioning.","example":"4049bcd4-3ab8-43ce-a2a9-4c1d9eea91ee"},"card":{"$ref":"#/components/schemas/ExternalCardTokenResponseCard"},"fundingAccountTypes":{"type":"array","items":{"type":"string","example":"CURRENT","enum":["CURRENT","SAVINGS","CREDIT"]}}}},"ExternalCardTokenProvisionResponse":{"required":["card","cardTokenId","externalReferenceId","fulfillmentDecision","fundingAccountTypes"],"type":"object","properties":{"cardTokenId":{"type":"string","description":"The Unique ID associated with a card token","format":"uuid","example":"daa23f28-30fa-421b-9f90-78388b2d5b5e"},"fulfillmentDecision":{"type":"string","description":"The authorization decision for the service request.","example":"AUTHENTICATION_REQUIRED","enum":["APPROVED","DECLINED","AUTHENTICATION_REQUIRED"]},"externalReferenceId":{"maxLength":36,"type":"string","description":"Unique value linking requests generated during provisioning.","example":"4049bcd4-3ab8-43ce-a2a9-4c1d9eea91ee"},"activationMethods":{"type":"array","items":{"$ref":"#/components/schemas/ExternalCardTokenActivationMethods"}},"card":{"$ref":"#/components/schemas/ExternalCardTokenResponseCard"}}},"ExternalCardTokenResponseCard":{"type":"object","properties":{"processorCustomerId":{"maxLength":64,"type":"string","description":"Customer id associated with the connected processor.","example":"5283794"}}},"ReplaceCardRequest":{"required":["replacementReason"],"type":"object","properties":{"replacementReason":{"type":"string","description":"The replacement reason for the card when it replaced the original card","example":"DAMAGED","enum":["LOST","STOLEN","DAMAGED"]},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}},"CancelCardRequest":{"type":"object","properties":{"cancelationReason":{"type":"string","description":"The cancelation reason for the card to be canceled","example":"DAMAGED","enum":["LOST","STOLEN","DAMAGED"]}}},"Location":{"required":["geometry","type"],"type":"object","properties":{"type":{"type":"string","example":"Feature","enum":["Feature"]},"geometry":{"$ref":"#/components/schemas/Geometry"}},"description":"The location of the device in the GeoJSON (RFC7946) notation."},"Geometry":{"required":["coordinates","type"],"properties":{"type":{"type":"string","example":"Point","enum":["Point"]},"coordinates":{"maxItems":2,"minItems":2,"type":"array","example":[151.2,-33.86],"items":{"type":"number"}}}},"ServiceError":{"required":["code","message","ref","status"],"type":"object","properties":{"ref":{"type":"string","format":"uuid"},"status":{"type":"integer","format":"int32"},"code":{"type":"string"},"message":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ValidationError"}},"info":{"type":"string"}}},"ValidationError":{"required":["code","field"],"type":"object","properties":{"code":{"type":"string"},"field":{"type":"string"},"message":{"type":"string"},"params":{"$ref":"#/components/schemas/ValidationErrorParams"}}},"ValidationErrorParams":{"type":"object","additionalProperties":{"type":"string"}},"CardNew":{"required":["brand","cardId","cardProductId","createdAt","partyKey","productKey","productVersion","status","subscriptionKey","type","updatedAt"],"type":"object","properties":{"cardId":{"type":"string","description":"The Unique ID associated with a card","example":"78fe7537-079d-4904-b424-1c70a76fa41c"},"status":{"type":"string","description":"Status of the card","example":"ACTIVE","enum":["NEW"]},"type":{"type":"string","description":"The type of the payment card. Types are expected to be added in the future within the same API","example":"PHYSICAL","enum":["PHYSICAL","VIRTUAL"]},"funding":{"type":"string","description":"The funding of the payment card. Types are expected to be added in the future within the same API","example":"DEBIT","enum":["DEBIT"]},"brand":{"type":"string","description":"Brand of the payment card. Brands are expected to be added in the future within the same API","example":"MASTERCARD","enum":["MASTERCARD"]},"country":{"type":"string","description":"Card country code","example":"AUS"},"currency":{"type":"string","description":"Card currency code","example":"AUD"},"cardholderName":{"type":"string","description":"Name of the card holder","example":"Anderson Smith"},"effectiveFrom":{"type":"string","description":"The date from which the card is valid","example":"2020-03-24T00:00:00.000Z"},"createdAt":{"type":"string","description":"The technical timestamp of when the record was created","example":"2020-03-24T16:12:58.000Z"},"updatedAt":{"type":"string","description":"The technical timestamp of when the record was last updated","example":"2020-03-24T16:12:58.000Z"},"timezone":{"type":"string","description":"The timezone in which the card is issued and any dates apply in","example":"Australia/Sydney"},"subscriptionKey":{"type":"string","format":"uuid"},"partyKey":{"type":"string","format":"uuid","example":"dd671835-e968-4410-8d33-e269fb3a6ce8"},"productKey":{"type":"string","format":"uuid","example":"1ba225f7-1b43-4db2-8179-65f49c9ac13b"},"productVersion":{"type":"string","example":"1"},"cardProductId":{"type":"string","format":"uuid","example":"ae65a465-8422-444b-bfce-8676df48a27d"}}}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}